Subject: Re: [BUG] PREFIX environment variable ignored by git config --system

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Jan 2025 15:36:48 -0800

<[email-masked]> writes:

> On January 29, 2025 3:15 PM, Junio C Hamano wrote:
>><[email-masked]> writes:
>>
>>> The documentation on the Environment Configuration page seems to imply
>>> that
>>
>>Sorry, I am totally lost.  Whose documentation on what software are you
> referring
>>to?
>>
>>  $ git grep -i -e 'environment configuration'
>>
>>comes back empty.
>
> It is here:
> https://git-scm.com/book/ms/v2/Git-Internals-Environment-Variables

It is news to me ;-).

    $ git grep '[^_]PREFIX[^_]'

does not have any hits in the source, so I do not see how we _could_
be paying any attention to such a thing.

The description seems to originate at

  https://github.com/progit2-ms/progit2/commit/c24f22d6a6b0572f5756afd64f0c2e9fa6f804fa

that was more than 10 years old.  I do not know how reliable the
description there is.